footer {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-end;
    align-items: center;
    
    background-color: rgb(255, 255, 255);
    
    width: 100%;
    gap: 6rem;
}

footer > .top {
    justify-content: center;
    align-items: center;
    
    position: relative;
    overflow: hidden;
    
    background-color: rgb(128, 128, 128);
    border-radius: 0.75rem;
    
    width: calc(100% - var(--default-padding-horizontal, 0px) * 2);
    height: auto;
    padding: 6rem var(--default-padding-horizontal);
    gap: 1rem;
    
    isolation: isolate;
}

footer > .top > .baked-blob {
    position: absolute;
    
    bottom: 0;
    left: 0;
    
    width: 100%;
    height: 100%;
    
    pointer-events: none;
    
    z-index: -1;
}

footer > .top > h3 {
    color : rgba(255, 255, 255, 1);
    font-weight: 600;
    font-size: 3.5rem;
    
    line-height: 3.5rem;
    letter-spacing: calc(3.5rem * var(--default-letter-spacing) * 0.5);
    text-align: center;
    
    z-index: 2;
}

footer > .top > p {
    color : rgba(255, 255, 255, 0.75);
    font-weight: 500;
    font-size: 1rem;
    
    line-height: 1.5rem;
    letter-spacing: calc(1rem * var(--default-letter-spacing));
    text-align: center;
    
    max-width: 590px;
    
    z-index: 2;
}

footer > .top > a {
    color: rgba(0, 0, 0, 1);
    background-color: rgba(255, 255, 255, 1);
    border-radius: 2rem;
    
    font-weight: 500;
    font-size: 1rem;
    
    line-height: 3.25rem;
    letter-spacing: calc(1rem * var(--default-letter-spacing));
    
    flex-shrink: 0;
    flex-grow: 0;
    
    height: 3.25rem;
    padding: 0 2rem;
    
    transition: padding var(--default-transition);
    z-index: 2;
}

footer > .top > a:hover {
    padding: 0 2.5rem;
}

footer > .middle {
    container-type: inline-size;
    width: calc(100% - var(--default-padding-horizontal) * 2);
    gap: 6rem;
}

footer > .middle > .title {
    color: rgb(240, 240, 240);
    
    font-weight: 700;
    font-size: 31.5cqi;
    
    line-height: calc(31.5cqi * 0.75);
    text-align: center;
    pointer-events: none;
    
    width: 100%;
    margin-left: -2.5cqi;
    margin-top: -0.75cqi;
}

footer > .middle > .links {
    --height: calc(0.925rem + 6rem * 2);
    justify-content: space-between;
    width: 100%;
    height: var(--height, 0);
    margin: -6rem 0;
}

footer > .middle > .links > .link {
    color: rgba(0, 0, 0, 0.75);
    
    font-weight: 500;
    font-size: 0.925rem;
    
    line-height: 0.925rem;
    letter-spacing: calc(0.925rem * var(--default-letter-spacing) * 1.5);
    text-transform: uppercase;
    text-align: center;

    height: var(--height, 0);
    line-height: var(--height, 0);
    
    transition: color var(--default-transition);
}

footer > .middle > .links > .link:hover {
    color: rgba(220, 220, 220, 1);
}

footer > .bottom {
    justify-content: space-between;
    align-items: center;
    
    border-top: 1px solid rgb(240, 240, 240);
    
    width: 100%;
    padding: 0 var(--default-padding-horizontal);
}

footer > .bottom > .links {
    margin: 0 calc(var(--relative-size, 1rem) * -1);
}

footer > .bottom > .links > .link {
    color: rgba(0, 0, 0, 0.75);
    
    position: relative;
    
    font-weight: 500;
    font-size: calc(var(--relative-size, 1rem) * 0.75);
    
    line-height: calc(var(--relative-size, 1rem) * 0.75);
    letter-spacing: calc(var(--relative-size, 1rem) * 0.75 * var(--default-letter-spacing) * 1.5);
    text-transform: uppercase;
    white-space: nowrap;
    
    padding: calc(var(--relative-size, 1rem) + 16px) var(--relative-size, 1rem);
}

footer > .bottom > .links > .link::after {
    content: "";
    position: absolute;
    
    background-color: rgba(0, 0, 0, 0.25);
    border-radius: 2px;
    
    top: 50%;
    left: 100%;
    
    width: 4px;
    height: 4px;
    
    transform: translate(-50%, -50%);
}

footer > .bottom > .links > .link:last-child::after {
    content: none;
}

footer > .bottom > .links > a.link {
    transition: color var(--default-transition);
}

footer > .bottom > .links > a.link:hover {
    color: rgba(0, 0, 0, 0.25);
}

@media (max-width: 1024px) {
    footer,
    footer > .middle {
        gap: 3rem;
    }
    
    footer > .middle > .links {
        flex-direction: column;
        height: auto;
        margin: 0;
    }
    
    footer > .middle > .links > .link:first-child {
        border-top: 1px solid rgb(240, 240, 240);
    }
    
    footer > .middle > .links > .link {
        border-bottom: 1px solid rgb(240, 240, 240);
        
        line-height: 100%;
        text-align: left;
        
        width: 100%;
        height: auto;
        padding: 2rem 0;
        
        transition: color var(--default-transition), padding-left var(--default-transition);
    }
    
    footer > .middle > .links > .link:hover {
        padding-left: 1rem;
    }
    
    footer > .bottom > .links {
        --relative-size: clamp(0.35rem, 0.35rem + 2.5vw, 1rem);
        flex-wrap: wrap;
        justify-content: center;
    }
    
    footer > .bottom > .links > p {
        flex-shrink: 0;
        width: 100%;
    }
    
    footer > .bottom > .links > p.link::after {
        content: none;
    }
    
    footer > .bottom > .links > .link {
        text-align: center;
        padding: var(--relative-size, 1rem);
    }
}

@media (max-width: 850px) {
    footer > .bottom {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 32px var(--default-padding-horizontal, 0px);
        gap: 0px;
    }
}

@media (max-width: 100vh) {
    footer > .top {
        padding: min(9vw, 6rem);
    }
    
    footer > .top > h3 {
        display: none;
    }
    
    footer > .top > p {
        color: rgb(255, 255, 255, 1);
        
        --font-size: min(3.15vw, 1.25rem);
        font-size: var(--font-size);
        
        line-height: calc(var(--font-size) / 0.75);
        letter-spacing: calc(var(--font-size) * var(--default-letter-spacing));
    }
    
    footer > .top > a {
        font-size: 0.875rem;
    
        text-align: center;
        line-height: 3rem;
        letter-spacing: calc(0.875rem * var(--default-letter-spacing));
        
        width: 100%;
        height: 3rem;
    }
}